Results 1 to 4 of 4

Thread: Updating XTL2500 firmware question

  1. #1
    jim202 No Longer Registered

    Default Updating XTL2500 firmware question

    I have read a number of the forum posts here and am just a little confused about doing a firmware update on the radio.

    In one thread I read that you need to get the purchase the firmware update from Motorola with a USB stick key.

    I see that the firmware updates are posted on the MOL site.

    So if the firmware updates are posted for downloading on the MOL site, why do you have go the route of purchasing it? Is there a need for the USB stick key? Can you just download the firmware file, open up the Astro 25 software and then go to the "tools" selection. Then go to the "Upgrade Radio" selection.

    Can someone clear me up on this?

    Jim


  2. #2
    cyrus's Avatar
    cyrus is offline Trailer Park Superintendent
    Join Date
    Jan 06, 2012
    Location
    Moonbase Alpha
    Posts
    906
    Thanks
    388
    Thanked 462 Times in 208 Posts
    Country: Japan

    Default

    First of all, the XTL2500 is an ASTRO25 radio not an ASTRO radio so I moved your post to the correct forum.

    The USB key's only function is to let the CPS know you've purchased the update. It does not have the firmware on it.

    You can download the firmware from MOL but you'll need that refresh key before the CPS will allow you to properly update the radio.
    Cyrus

    Bubbles: I'd like to see that Red Blue Green c***sucker put one of those together, duct-tapin' it.

  3. #3
    jim202 No Longer Registered

    Default

    Quote Originally Posted by cyrus View Post
    First of all, the XTL2500 is an ASTRO25 radio not an ASTRO radio so I moved your post to the correct forum.

    The USB key's only function is to let the CPS know you've purchased the update. It does not have the firmware on it.

    You can download the firmware from MOL but you'll need that refresh key before the CPS will allow you to properly update the radio.
    OK thanks for that information.

    Now the follow on to that information about the current firmware being 19.50.00 brings up my next question. What version of the software is required for this firmware version? Will the R17.01.02 work, or is the current R19.00.00 or the R19.01.00 what needs to be used?

    Jim

  4. #4
    Join Date
    Feb 18, 2012
    Location
    That's Correct.
    Posts
    262
    Thanks
    2,585
    Thanked 512 Times in 150 Posts

    Default

    Quote Originally Posted by jim202 View Post
    OK thanks for that information.

    Now the follow on to that information about the current firmware being 19.50.00 brings up my next question. What version of the software is required for this firmware version? Will the R17.01.02 work, or is the current R19.00.00 or the R19.01.00 what needs to be used?

    Jim
    IIRC, you needed CPS R18.xx.xx to load Firmware R19.xx.xx.